Page MenuHome

quit on texture paint select
Closed, ArchivedPublic

Description

System Information
win vista 32 Gfxcard n/a (laptop)

Blender Version
272 RC eb464ee

User interface: Pie menus official add-on:
Blender quits on selection of texture paint mode from both the pie menu and the header menu of the 3D-view when add-on is enabled.

Click on the button.

Details

Type
Bug

Event Timeline

Michael Fischer (mgfdes) set Type to Bug.
Michael Fischer (mgfdes) created this task.
Michael Fischer (mgfdes) claimed this task.
Michael Fischer (mgfdes) raised the priority of this task from to Needs Triage by Developer.
Sergey Sharybin (sergey) triaged this task as Normal priority.Sep 25 2014, 9:23 AM

Only if the add-on is enabled?

Can we see your system_info.txt file too?

Hi Sergey
Bit erratic at the moment.
First quit on add-on enabled, then it seemed to work with it being disabled, but might have changed the screen layout.
Meanwhile I believe the issue is related to screen layout rather than the add-on.
My default screen is tools open, outliner open, properties open, text editor open, 3d-view open. Add any primitive mesh to this, select texture paint from either menu: blender quits. Same with blender default layout of the environment. This happens with add-on disabled or enabled and does not happen in the UV editing layout when Blender behaves as expected. It does not happen in 3d-full view layout, though I am getting a warning: obj did not have UV-map etc.
Cautiously I am saying here: Quits in certain screen layouts with no UV-map present.
Sysinfo below,mgf

Blender 2.72 (sub 0) System Information

Blender:

version 2.72 (sub 0), branch b'master', commit date b'2014-09-23' b'18:40', hash b'eb464ee', b'Release'
build date: b'2014-09-23', b'21:13:05'
platform: b'Windows:32bit'
binary path: 'C:\\Program Files\\Blender Foundation\\Blender\\blender-app.exe'
build cflags: b'-DWITH_FREESTYLE /nologo /J /W3 /Gd /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /DOIIO_STATIC_BUILD /openmp -O2 /Ob2 -DWIN32 -D_CONSOLE -D_LIB -D_CRT_SECURE_NO_DEPRECATE -DOPJ_STATIC -DWITH_MOD_FLUID -DWITH_MOD_OCEANSIM -DLITTLE_ENDIAN -DWITH_AUDASPACE -DWITH_AVI -DWITH_OPENNL'
build cxxflags: b'/nologo /J /W3 /Gd /w34062 /wd4018 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /DOIIO_STATIC_BUILD /openmp /EHsc -O2 /Ob2 -DWIN32 -D_CONSOLE -D_LIB -D_CRT_SECURE_NO_DEPRECATE -DOPJ_STATIC -DWITH_MOD_FLUID -DWITH_MOD_OCEANSIM -DLITTLE_ENDIAN -DWITH_AUDASPACE -DWITH_AVI -DWITH_OPENNL'
build linkflags: b'/SUBSYSTEM:CONSOLE /MACHINE:IX86 /STACK:2097152 /INCREMENTAL:NO /LARGEADDRESSAWARE /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib'
build system: b'SCons'

Python:

version: 3.4.1 (default, Aug 29 2014, 15:47:12) [MSC v.1800 32 bit (Intel)]
paths:
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts\\addons_contrib'
'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\scripts\\addons'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts\\addons'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts\\startup'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts\\modules'
'C:\\PYTHON25'
'C:\\PYTHON25\\DLLS'
'C:\\PYTHON25\\LIB'
'C:\\PYTHON25\\LIB\\LIB-TK'
'C:\\Program Files\\Blender Foundation\\Blender\\python34.zip'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\python\\DLLs'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\python\\lib'
'C:\\Program Files\\Blender Foundation\\Blender'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\python'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\python\\lib\\site-packages'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts\\freestyle\\modules'
'C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts\\addons\\modules'
'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\scripts\\addons\\modules'

Directories:

scripts: ['C:\\Program Files\\Blender Foundation\\Blender\\2.72\\scripts', 'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\scripts']
user scripts: 'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\scripts'
pref scripts: 'F:\\blender\\scripts'
datafiles: 'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\datafiles\\'
config: 'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\config\\'
scripts : 'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\scripts\\'
autosave: 'C:\\Users\\Michael\\AppData\\Roaming\\Blender Foundation\\Blender\\2.72\\autosave\\'
tempdir: 'C:\\Users\\Michael\\AppData\\Local\\Temp\\blender_a02616\\'

FFmpeg:

'avcodec':' ''55, 39, 101'
'avdevice':' ''55, 5, 100'
'avformat':' ''55, 19, 104'
'avutil':' ''52, 48, 101'
'swscale':' '' 2, 5, 101'

Other Libraries:

OpenColorIO: 1, 0, 8
OpenImageIO: 1, 4, 12
OpenShadingLanguage: 1, 5, 10

OpenGL

renderer: 'Intel 965/963 Graphics Media Accelerator'
vendor: 'Intel'
version: '2.0.0 - Build 7.15.10.1666'
extensions:

		'GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_blend_color'
		'GL_EXT_abgr GL_EXT_texture3D GL_EXT_clip_volume_hint'
		'GL_EXT_compiled_vertex_array GL_SGIS_texture_edge_clamp'
		'GL_SGIS_generate_mipmap GL_EXT_draw_range_elements GL_SGIS_texture_lod'
		'GL_EXT_rescale_normal GL_EXT_packed_pixels'
		'GL_EXT_separate_specular_color GL_ARB_multitexture'
		'GL_EXT_texture_env_combine GL_EXT_bgra GL_EXT_blend_func_separate'
		'GL_EXT_secondary_color GL_EXT_fog_coord GL_EXT_texture_env_add'
		'GL_ARB_texture_cube_map GL_ARB_transpose_matrix GL_ARB_texture_env_add'
		'GL_IBM_texture_mirrored_repeat GL_EXT_multi_draw_arrays'
		'GL_NV_blend_square GL_ARB_texture_compression'
		'GL_3DFX_texture_compression_FXT1 GL_EXT_texture_filter_anisotropic'
		'GL_ARB_texture_border_clamp GL_ARB_point_parameters'
		'GL_ARB_texture_env_combine GL_ARB_texture_env_dot3'
		'GL_ARB_texture_env_crossbar GL_EXT_texture_compression_s3tc'
		'GL_ARB_shadow GL_ARB_window_pos GL_EXT_shadow_funcs'
		'GL_EXT_stencil_wrap GL_ARB_vertex_program GL_EXT_texture_rectangle'
		'GL_ARB_fragment_program GL_EXT_stencil_two_side'
		'GL_ATI_separate_stencil GL_ARB_vertex_buffer_object'
		'GL_EXT_texture_lod_bias GL_ARB_occlusion_query GL_ARB_fragment_shader'
		'GL_ARB_shader_objects GL_ARB_shading_language_100'
		'GL_ARB_texture_non_power_of_two GL_ARB_vertex_shader'
		'GL_NV_texgen_reflection GL_ARB_point_sprite'
		'GL_EXT_blend_equation_separate GL_ARB_depth_texture'
		'GL_ARB_texture_rectangle GL_ARB_draw_buffers'
		'GL_ARB_pixel_buffer_object GL_WIN_swap_hint GL_EXT_framebuffer_object '

Implementation Dependent OpenGL Limits:

Maximum Fixed Function Texture Units: 8

GLSL:
Maximum Varying Floats: 41
Maximum Vertex Attributes: 16
Maximum Vertex Uniform Components: 512
Maximum Fragment Uniform Components: 1024
Maximum Vertex Image Units: 16
Maximum Fragment Image Units: 16
Maximum Pipeline Image Units: 16

In that case we really need the a file with the specific setup that causes this (one step before the crash is recommended)

We also have a similar report where user reports that blender is closing on

  • load factory settings
  • go to texture paint mode
  • toggle wireframe (Z key)

Hi psy-fi,Sergey
You want me to send the .blend? If so where to, or should I just paste it into the box?

found it!

posting there as merged

psy_fi asked :
"Was your friend's OS 32 bit? We have a duplicate report actually."

Yes, he has the same OS as mine (xp), 32 bits too, only the card differ.

Turning off vbos in user preferences/ system resolves this issue.
I encountered two other vbo related issues simultaneously, now resolved:
Unexpected quit on object selection in object mode with armature present.
Mesh representation deterioration in clipped (AltB) region on zooming in object mode.

@Michael Fischer (mgfdes)

Can you be a bit more specific on those issues?

"Resolved" means they don't occur anymore when you turn VBOs off? (When you say "resolved" it's a little confusing for developers because it means that they might have been properly fixed by a commit and don't occur even with VBOs on).
"Deterioration" is a bit vague. Can you share a screenshot (or file) with the issue?

Probably the issue is driver dependent, but I am trying to get confirmation on that.

Hi psy-fi
Resolved in this context meant all these issues were entirely vbo related. I turn vbos off and thus turn of the problems! Whether this can/should be error handled I don't know. My own developments might crash on occasion, but they don't quit. An unexpected quit is always disconcerting, but I am with you on this it's probably driver related.

The screen shot I am including below is one of the less 'deteriorated' ones. I'd been getting all kinds of mysterious renditions using clipping in object mode and zooming in with vbos turned on. As in the case below the surface is gone but often bits of the mesh were missing as well and phantom lines appeared which seemed to have no rational relation to either mesh or surface.

Anyhow, all problems gone in one hit? I am a happy man.

On the case i reported
https://developer.blender.org/T41926

And that is merged with this one (and from mgfdes reply that the culprit was VBO, is not related then), it has nothing to do with VBO for me, as VBO on/off does not solve it, and if i use VBO in other modes (like sculpt mode), i have no crash when pressing Z (or switching manually to wireframe or bounding box), it's happening only in texture paint mode and only in Blender Render mode, everything else will not crash.

So certainly driver/card related (as i posted someone else with the same OS but a different card isn't having the crash), my "card" is using opengl 2.1 support.

Unfortunately the GPUs/OS are not supported anymore, see https://software.intel.com/en-us/forums/topic/532100

Looks like Intel has fixed the issue in their newest drivers too so I guess we cannot really do anything here apart from suggesting an upgrade :/

I will archive this for reference.

Thanks, i had looked around a bit after my last post and noticed that intel had ceased support in 2012 for xp/g41, way before microsoft, so it's not much of a surprise if they have bugs or incomplete support for their opengl 2.1
At least i know it's the driver now, i was wondering if i had something else broken with my Blender settings.
I'll just have to avoid pressing accidentally Z next time i texture paint :)